## ros-kinetic-dsr-example-py 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dsr_example_py)

find_package(catkin REQUIRED COMPONENTS
# roscpp
  rospy
#  message_generation
# actionlib_msgs
  dsr_msgs  
)

# Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
#add_service_files(
#  FILES
#   #Service1.srv
#   #Service2.srv
#  WordCount.srv  
#)

## Generate actions in the 'action' folder
#add_action_files(  
#   DIRECTORY action
#   FILES 
#   Timer.action
#   #Action2.action
#)

# Generate added messages and services with any dependencies listed here
#generate_messages(
#  DEPENDENCIES
# actionlib_msgs
#  std_msgs  # Or other packages containing msgs
#)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include

  #  LIBRARIES basics
#  CATKIN_DEPENDS rospy
#  DEPENDS system_lib
#  CATKIN_DEPENDS actionlib_msgs
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-kinetic-dsr-example-py (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doosan Robotics <ros.robotics@doosan.com>  Mon, 22 Apr 2019 01:56:01 -0000

ros-kinetic-dsr-example-py (0.9.5-1xenial) xenial; urgency=high

  * edit dsr_example_py packge.xml
  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-dsr-example-py (0.9.4-1xenial) xenial; urgency=high

  * Emulator commit
  * Merge pull request #10 <https://github.com/doosan-robotics/doosan-robot/issues/10> from gavanderhoorn/patch-1
    Thank you for your commit!
  * example added
  * example: fix actionlib_msgs dependency typo.
  * Contributors: G.A. vd. Hoorn, doosan robotics ros master, doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-example-py (0.9.3-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-example-py (0.9.1-1xenial) xenial; urgency=high

  * py example
  * Contributors: doosan-robotics
  * py example
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dsr-example-py
Section: misc
Priority: extra
Maintainer: Doosan Robotics <ros.robotics@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-dsr-msgs, ros-kinetic-message-generation, ros-kinetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-dsr-example-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-dsr-msgs, ros-kinetic-message-runtime, ros-kinetic-rospy
Description: The dsr_example Python package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dsr-example-py//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
